mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions
msticker.h File Reference

mediastreamer2 msticker.h include file More...

`#include <mediastreamer2/msfilter.h>`
Include dependency graph for msticker.h:

## Typedefs
typedef uint64_t(* | MSTickerTimeFunc) (void *)
typedef int(* | MSTickerTickFunc) (void *, uint64_t ticker_virtual_time)
typedef struct _MSTicker | MSTicker
typedef struct _MSTickerSynchronizer | MSTickerSynchronizer

## Enumerations
enum | _MSTickerPrio { MS_TICKER_PRIO_NORMAL, MS_TICKER_PRIO_HIGH, MS_TICKER_PRIO_REALTIME }

## Functions
MSTicker * | ms_ticker_new (void)
MSTicker * | ms_ticker_new_with_params (const MSTickerParams *params)
void | ms_ticker_set_name (MSTicker *ticker, const char *name)
void | ms_ticker_set_priority (MSTicker *ticker, MSTickerPrio prio)
int | ms_ticker_attach (MSTicker *ticker, MSFilter *f)
int | ms_ticker_attach_multiple (MSTicker *ticker, MSFilter *f,...)
int | ms_ticker_detach (MSTicker *ticker, MSFilter *f)
void | ms_ticker_destroy (MSTicker *ticker)
void | ms_ticker_set_time_func (MSTicker *ticker, MSTickerTimeFunc func, void *user_data)
void | ms_ticker_set_tick_func (MSTicker *ticker, MSTickerTickFunc func, void *user_data)
void | ms_ticker_print_graphs (MSTicker *ticker)
float | ms_ticker_get_average_load (MSTicker *ticker)
void | ms_ticker_get_last_late_tick (MSTicker *ticker, MSTickerLateEvent *ev)
MSTickerSynchronizer * | ms_ticker_synchronizer_new (void)
double | ms_ticker_synchronizer_set_external_time (MSTickerSynchronizer *ts, const MSTimeSpec *time)
uint64_t | ms_ticker_synchronizer_get_corrected_time (MSTickerSynchronizer *ts)
void | ms_ticker_synchronizer_destroy (MSTickerSynchronizer *ts)

## Detailed Description

mediastreamer2 msticker.h include file

This file provide the API needed to create, start and stop a graph.